## MyTrips  [/trips/my_trips]

### MyTrips [POST]
Obtener los viajes de un usuario

+ Request Ejemplo

    + Headers

        Accept-Charset: utf-8
        Authorization: YWxhZGRpbjpvcGVuc2VzYW1l

    + Body
        {
            "username": "pablo",
        }

+ Response 200 (application/json)
    + Relation: 200: Ok

    + Headers
        Accept-Charset: utf-8
        Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiI2IiwiaWF0IjoxNTM5OTAzMDY4LCJleHAiOjE1Mzk5MDM2Njg1LCJuYW1lIjoiTHVpcyBHb256YWxleiBTdHJhdFBsdXMiLCJ1c2VybmFtZSI6Imxnb256YWxleiJ9.89D8duaBMvsg5X6e8YsyPrz_N-C9bDhT0vKxGGG0uKOyexGPAqh0QlKJ7YyIefVVeUfcTpqgNX3gAh4IPX207g
    
    + Body
        {
            "error": null,
            "result":[
                {
                    "id": 6,
                    "seats": 1,
                    "seat_cost": 250,
                    "hour": "1:30 am",
                    "date": "Marzo 23, 2023",
                    "status": "Cancelado",
                    "folio": "123456789",
                    "start_name": "Zacatecas",
                    "start_coordinate": {
                        "lat": "22.76843", 
                        "lng": "-102.58141"
                    },
                    "end_name": "Aguascalientes",
                    "end_coordinate": {
                        "lat": "21.88234", 
                        "lng": "-102.28259"
                    },
                    "driver_id": 5,
                    "driver_name": "nombre",
                    "driver_last_name": "Apellido",
                    "driver_qualification": 4.5,
                    "driver_plate": "ABC-123",
                    "driver_group": "grupo_toluca",
                    "driver_group_image": "Image"
                },

                {
                    "id": 7,
                    "seats": 1,
                    "seat_cost": 250,
                    "hour": "4:30 am",
                    "date": "Marzo 23, 2023",
                    "status": "Cancelado",
                    "folio": "123456789",
                    "start_name": "Zacatecas",
                    "start_coordinate": {
                        "lat": "22.76843", 
                        "lng": "-102.58141"
                    },
                    "end_name": "Aguascalientes",
                    "end_coordinate": {
                        "lat": "21.88234", 
                        "lng": "-102.28259"
                    },
                    "driver_id": 5,
                    "driver_name": "nombre",
                    "driver_last_name": "Apellido",
                    "driver_qualification": 4.5,
                    "driver_plate": "ABC-123",
                    "driver_group": "grupo_toluca",
                    "driver_group_image": "Image"
                },

                {
                    "id": 8,
                    "seats": 1,
                    "seat_cost": 250,
                    "hour": "8:30 am",
                    "date": "Marzo 23, 2023",
                    "status": "Cancelado",
                    "folio": "123456789",
                    "start_name": "Zacatecas",
                    "start_coordinate": {
                        "lat": "22.76843", 
                        "lng": "-102.58141"
                    },
                    "end_name": "Aguascalientes",
                    "end_coordinate": {
                        "lat": "21.88234", 
                        "lng": "-102.28259"
                    },
                    "driver_id": 5,
                    "driver_name": "nombre",
                    "driver_last_name": "Apellido",
                    "driver_qualification": 4.5,
                    "driver_plate": "ABC-123",
                    "driver_group": "grupo_toluca",
                    "driver_group_image": "Image"
                },

            ]
        }

+ Response 200 (application/json)
    + Relation: 200: Ok, no data

    + Headers
        Accept-Charset: utf-8
        Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiI2IiwiaWF0IjoxNTM5OTAzMDY4LCJleHAiOjE1Mzk5MDM2Njg1LCJuYW1lIjoiTHVpcyBHb256YWxleiBTdHJhdFBsdXMiLCJ1c2VybmFtZSI6Imxnb256YWxleiJ9.89D8duaBMvsg5X6e8YsyPrz_N-C9bDhT0vKxGGG0uKOyexGPAqh0QlKJ7YyIefVVeUfcTpqgNX3gAh4IPX207g
    
    + Body
        {
            "error": null,
            "result":[
            ]
        }

+ Response 200 (application/json)
    + Relation: 200: Ok, no next travel

    + Headers
        Accept-Charset: utf-8
        Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiI2IiwiaWF0IjoxNTM5OTAzMDY4LCJleHAiOjE1Mzk5MDM2Njg1LCJuYW1lIjoiTHVpcyBHb256YWxleiBTdHJhdFBsdXMiLCJ1c2VybmFtZSI6Imxnb256YWxleiJ9.89D8duaBMvsg5X6e8YsyPrz_N-C9bDhT0vKxGGG0uKOyexGPAqh0QlKJ7YyIefVVeUfcTpqgNX3gAh4IPX207g
    
    + Body
        {
            "error": null,
            "result":[
                {
                    "id": 6,
                    "seats": 1,
                    "hour": "1:30 am",
                    "date": "Marzo 23, 2023",
                    "start": "Zacatecas",
                    "end": "Aguascalientes",
                    "status": "Cancelado"
                },

                {
                    "id": 7,
                    "seats": 3,
                    "hour": "4:30 pm",
                    "date": "Marzo 25, 2021",
                    "start": "Aguascalientes",
                    "end": "Zacatecas",
                    "status": "Completado"
                },

            ]
        }

+ Response 200 (application/json)
    + Relation: 200: Ok, no previous travel

    + Headers
        Accept-Charset: utf-8
        Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiI2IiwiaWF0IjoxNTM5OTAzMDY4LCJleHAiOjE1Mzk5MDM2Njg1LCJuYW1lIjoiTHVpcyBHb256YWxleiBTdHJhdFBsdXMiLCJ1c2VybmFtZSI6Imxnb256YWxleiJ9.89D8duaBMvsg5X6e8YsyPrz_N-C9bDhT0vKxGGG0uKOyexGPAqh0QlKJ7YyIefVVeUfcTpqgNX3gAh4IPX207g
    
    + Body
        {
            "error": null,
            "result":[
                
                {
                    "id": 8,
                    "seats": 1,
                    "hour": "1:30 am",
                    "date": "Abril 23, 2023",
                    "start": "Zacatecas",
                    "end": "Aguascalientes",
                    "status": ""
                }

            ]
        }


+ Response 500 (application/json)
    + Relation: 500: Error
    
    + Body
        {
            "error": {
                "code": 500,
                "message": "Internal Server Error"
            },
            "result": null
        }
